org.apache.jmeter.engine

## Class RemoteJMeterEngineImpl

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteServer
    - - java.rmi.server.UnicastRemoteObject
      - - org.apache.jmeter.engine.RemoteJMeterEngineImpl

- All Implemented Interfaces:
    Serializable, Remote, RemoteJMeterEngine

      public final class RemoteJMeterEngineImpl
      extends UnicastRemoteObject
      implements RemoteJMeterEngine

  This is the JMeter server main code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.server.RemoteObject

      `ref`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rconfigure(HashTree testTree, String hostAndPort, File jmxBase, String scriptName)` Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
    `void` | `rexit()`
    `void` | `rreset()`
    `void` | `rrunTest()`
    `void` | `rsetProperties(HashMap<String,String> map)`
    `void` | `rstopTest(boolean now)`
    `static void` | `startServer(int rmiRegistryPort)`

    - ### Methods inherited from class java.rmi.server.UnicastRemoteObject

      `clone, exportObject, exportObject, exportObject, unexportObject`

    - ### Methods inherited from class java.rmi.server.RemoteServer

      `getClientHost, getLog, setLog`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### startServer

          public static void startServer(int rmiRegistryPort)
                                  throws RemoteException

      Throws:
        `RemoteException`

    - #### rconfigure

          public void rconfigure(HashTree testTree,
                                 String hostAndPort,
                                 File jmxBase,
                                 String scriptName)
                          throws RemoteException

      Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
      Specified by:
        `rconfigure` in interface `RemoteJMeterEngine`
      Parameters:
        `testTree` - the feature to be added to the ThreadGroup attribute
        `hostAndPort` - Host and Port
        `jmxBase` - JMX base
        `scriptName` - Name of script
      Throws:
        `RemoteException`

    - #### rrunTest

          public void rrunTest()
                        throws RemoteException,
                               JMeterEngineException

      Specified by:
        `rrunTest` in interface `RemoteJMeterEngine`
      Throws:
        `RemoteException`
        `JMeterEngineException`

    - #### rreset

          public void rreset()
                      throws RemoteException

      Specified by:
        `rreset` in interface `RemoteJMeterEngine`
      Throws:
        `RemoteException`

    - #### rstopTest

          public void rstopTest(boolean now)
                         throws RemoteException

      Specified by:
        `rstopTest` in interface `RemoteJMeterEngine`
      Throws:
        `RemoteException`

    - #### rexit

          public void rexit()
                     throws RemoteException

      Specified by:
        `rexit` in interface `RemoteJMeterEngine`
      Throws:
        `RemoteException`

    - #### rsetProperties

          public void rsetProperties(HashMap<String,String> map)
                              throws RemoteException

      Specified by:
        `rsetProperties` in interface `RemoteJMeterEngine`
      Throws:
        `RemoteException`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.